<template>
  <div>
    <blockquote class="blockquote display-2">
      <a href="https://dev.to/maxpou/3-tips-for-scaling-large-vuejs-application-2edi" target="_blank"> Source article</a>
    </blockquote>

    <blockquote class="blockquote display-1">
      There are a ot of misconceptions about the store. I don't know why, but many people think that: "Vue is to manage the UI and Vuex is to manage application state". I strongly disagree with this. Based on my experience, moving all the logic in the store lead to overhead and unnecessary complex features. Also, more code = to more surface area for bugs.
    </blockquote>
    <blockquote class="blockquote display-1">
      Usually, when we have existential questions like this, we turn to the creators:
    </blockquote>

    <blockquote class="blockquote display-1 font-weight-light font-italic">
      Use React for ephemeral state that doesn't matter to the app globally and doesn't mutate in complex ways. For example, a toggle in some UI element, a form input state. Use Redux for state that matters globally or is mutated in complex ways. For example, cached users, or a post draft.
    </blockquote>
    <blockquote class="blockquote">
     — Dan Abramov (creator of redux)
    </blockquote>

    <blockquote class="blockquote display-1 font-weight-light font-italic">
      It's not mandatory, nor recommended putting all your state inside a Vuex store.    </blockquote>
    <blockquote class="blockquote">
      — Evan You (creator of Vue.js)
    </blockquote>

    <img
      class="mt-5"
      style="width:100%"
      src="../assets/vuex.png">
  </div>

</template>

<script>
export default {
  name: 'ShouldI'
}
</script>

<style scoped>

</style>
